package com.steerinfo.ems.tcm0312.model;

import io.swagger.annotations.ApiModelProperty;

public class VWaterPlanId {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value="监测计划ID",required=false)
    private String itrmcode;

    @ApiModelProperty(value="监测计划",required=false)
    private String itemname;

    public String getItemcode() {
        return itrmcode;
    }

    public void setItemcode(String itemcode) {
        this.itrmcode = itemcode == null ? null : itemcode.trim();
    }

    public String getItemname() {
        return itemname;
    }

    public void setItemname(String itemname) {
        this.itemname = itemname == null ? null : itemname.trim();
    }


    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append(getClass().getSimpleName());
        sb.append(" [");
        sb.append("Hash = ").append(hashCode());
        sb.append(", planid=").append(itrmcode);
        sb.append(", planname=").append(itemname);
        sb.append(", serialVersionUID=").append(serialVersionUID);
        sb.append("]");
        return sb.toString();
    }
}
